/*
============
=== FLEX ===
============
*/

.flex {
    display: flex;
}

.flex-row {
    flex-direction: row;
}

.flex-column {
    flex-direction: column;
}

.flex-wrap {
    flex-wrap: wrap;
}

.flex-nowrap {
    flex-wrap: nowrap;
}

.flex-wrap-reverse {
    flex-wrap: wrap-reverse;
}

.flex-row-reverse {
    flex-direction: row-reverse;
}

.flex-column-reverse {
    flex-direction: column-reverse;
}

.flex-grow {
    flex-grow: 1;
}

.flex-shrink {
    flex-shrink: 1;
}

.flex-basis {
    flex-basis: 0;
}

.flex-basis-auto {
    flex-basis: auto;
}

.flex-basis-content {
    flex-basis: content;
}

.flex-basis-fill {
    flex-basis: fill;
}

.flex-basis-max {
    flex-basis: max-content;
}

.flex-basis-min {
    flex-basis: min-content;
}

.flex-basis-fit {
    flex-basis: fit-content;
}

.flex-basis-100px {
    flex-basis: 100px;
}

.flex-basis-110px {
    flex-basis: 110px;
}

.flex-basis-120px {
    flex-basis: 120px;
}

.flex-basis-130px {
    flex-basis: 130px;
}

.flex-basis-140px {
    flex-basis: 140px;
}

.flex-basis-150px {
    flex-basis: 150px;
}

.flex-basis-160px {
    flex-basis: 160px;
}

.flex-basis-170px {
    flex-basis: 170px;
}

.flex-basis-180px {
    flex-basis: 180px;
}

.flex-basis-190px {
    flex-basis: 190px;
}

.flex-basis-200px {
    flex-basis: 200px;
}

.flex-basis-210px {
    flex-basis: 210px;
}

.flex-basis-220px {
    flex-basis: 220px;
}

.flex-basis-230px {
    flex-basis: 230px;
}

.flex-basis-240px {
    flex-basis: 240px;
}

.flex-basis-250px {
    flex-basis: 250px;
}

.flex-basis-300px {
    flex-basis: 300px;
}

.flex-justify-content-start {
    justify-content: flex-start;
}

.flex-justify-content-end {
    justify-content: flex-end;
}

.flex-justify-content-center {
    justify-content: center;
}

.flex-justify-content-between {
    justify-content: space-between;
}

.flex-justify-content-around {
    justify-content: space-around;
}

.flex-justify-content-evenly {
    justify-content: space-evenly;
}

.flex-align-items-start {
    align-items: flex-start;
}

.flex-align-items-end {
    align-items: flex-end;
}

.flex-align-items-center {
    align-items: center;
}

.flex-align-items-baseline {
    align-items: baseline;
}

.flex-align-items-stretch {
    align-items: stretch;
}

.flex-align-content-start {
    align-content: flex-start;
}

.flex-align-content-end {
    align-content: flex-end;
}

.flex-align-content-center {
    align-content: center;
}

.flex-align-content-between {
    align-content: space-between;
}

.flex-align-content-around {
    align-content: space-around;
}

.flex-align-content-evenly {
    align-content: space-evenly;
}

.flex-align-content-stretch {
    align-content: stretch;
}

.flex-align-content-baseline {
    align-content: baseline;
}

.flex-order-0 {
    order: 0;
}

.flex-order-1 {
    order: 1;
}

.flex-order-2 {
    order: 2;
}

.flex-order-3 {
    order: 3;
}

.flex-order-4 {
    order: 4;
}

.flex-order-5 {
    order: 5;
}

.flex-order-6 {
    order: 6;
}

.flex-order-7 {
    order: 7;
}

.flex-order-8 {
    order: 8;
}

.flex-order-9 {
    order: 9;
}

.flex-order-10 {
    order: 10;
}

.gap-0 {
    gap: 0;
}

.gap-xs {
    gap: var(--spacing-xs);
}

.gap-sm {
    gap: var(--spacing-sm);
}

.gap-md {
    gap: var(--spacing-md);
}

.gap-lg {
    gap: var(--spacing-lg);
}

.gap-xl {
    gap: var(--spacing-xl);
}